<?php
//
//to be fixed
//
//namespace ShineSoftware\Constriv\Controller\Adminhtml\Helpdesk;
//
//use Magento\Backend\App\Action\Context;
//use Magento\Email\Model\TemplateFactory;
//use Magento\Framework\App\Config\ScopeConfigInterface;
//use Magento\Framework\Filesystem;
//use Magento\Framework\Model\Translate;
//use Magento\Store\Model\ScopeInterface;
//use Magento\Store\Model\Store;
//use Magento\Store\Model\StoreManagerInterface;
//use URL\TYPE\WEB;
//
//class Send extends AbstractHelpdesk {
//
//    /**
//     * @var ScopeConfigInterface
//     */
//    protected $_configScopeConfigInterface;
//
//    /**
//     * @var StoreManagerInterface
//     */
//    protected $_modelStoreManagerInterface;
//
//    /**
//     * @var Translate
//     */
//    protected $_modelTranslate;
//
//    /**
//     * @var TemplateFactory
//     */
//    protected $_modelTemplateFactory;
//
//    /**
//     * @var Filesystem
//     */
//    protected $_frameworkFilesystem;
//
//    public function __construct(Context $context, ScopeConfigInterface $configScopeConfigInterface, StoreManagerInterface $modelStoreManagerInterface, Translate $modelTranslate, TemplateFactory $modelTemplateFactory, Filesystem $frameworkFilesystem) {
//        $this->_configScopeConfigInterface = $configScopeConfigInterface;
//        $this->_modelStoreManagerInterface = $modelStoreManagerInterface;
//        $this->_modelTranslate = $modelTranslate;
//        $this->_modelTemplateFactory = $modelTemplateFactory;
//        $this->_frameworkFilesystem = $frameworkFilesystem;
//
//        parent::__construct($context);
//    }
//
//    public function execute() {
//        $templateId = $this->_configScopeConfigInterface->getValue('payment/constriv_helpdesk/mail_template', ScopeInterface::SCOPE_STORE);
//        $sender = ['name' => $this->_configScopeConfigInterface->getValue('trans_email/ident_general/name', ScopeInterface::SCOPE_STORE), 'email' => $this->_configScopeConfigInterface->getValue('trans_email/ident_general/email', ScopeInterface::SCOPE_STORE)];
//        $send_log = $this->_configScopeConfigInterface->getValue('payment/constriv_helpdesk/send_log', ScopeInterface::SCOPE_STORE);
//        $mail_message = $this->_configScopeConfigInterface->getValue('payment/constriv_helpdesk/mail_message', ScopeInterface::SCOPE_STORE);
//        $emailName = 'Consorzio Triveneto Helpdesk Support';
//        $version = Mage::getConfig()->getModuleConfig("ShineSoftware_Constriv")->version;
//        if ($this->getRequest()->getParams('test')) {
//            $email = $this->_configScopeConfigInterface->getValue('trans_email/ident_general/email', ScopeInterface::SCOPE_STORE);
//            $send_me_copy = null;
//        } else {
//            $email = $this->_configScopeConfigInterface->getValue('payment/constriv_helpdesk/helpdesk_mail', ScopeInterface::SCOPE_STORE);
//            $send_me_copy = $this->_configScopeConfigInterface->getValue('payment/constriv_helpdesk/send_me_copy', ScopeInterface::SCOPE_STORE);
//        }
//        if ($this->_configScopeConfigInterface->getValue("payment/constriv_hosted_required_settings/debug", ScopeInterface::SCOPE_STORE)) {
//            $endpoint = $this->_configScopeConfigInterface->getValue("payment/constriv_hosted/uri/test/payment_init", ScopeInterface::SCOPE_STORE);
//            $debug = true;
//        } else {
//            $endpoint = $this->_configScopeConfigInterface->getValue("payment/constriv_hosted/uri/live/payment_init", ScopeInterface::SCOPE_STORE);
//            $debug = false;
//        }
//        $vars = [
//            'storeowner' => $this->_configScopeConfigInterface->getValue('general/store_information/name', ScopeInterface::SCOPE_STORE),
//            'domain' => Mage::getBaseUrl(Store::WEB),
//            'phone' => $this->_configScopeConfigInterface->getValue('general/store_information/phone', ScopeInterface::SCOPE_STORE),
//            'address' => $this->_configScopeConfigInterface->getValue('general/store_information/address', ScopeInterface::SCOPE_STORE),
//            'terminalid' => $this->_configScopeConfigInterface->getValue('payment/constriv_hosted_required_settings/id', ScopeInterface::SCOPE_STORE),
//            'debug' => $debug,
//            'endpoint' => $endpoint,
//            'company' => $this->_configScopeConfigInterface->getValue('trans_email/ident_general/name', ScopeInterface::SCOPE_STORE),
//            'vatid' => $this->_configScopeConfigInterface->getValue('general/store_information/merchant_vat_number', ScopeInterface::SCOPE_STORE),
//            'mail_message' => $mail_message,
//            'version' => $version,
//            'send_log' => $send_log,
//        ];
//        $storeId = $this->_modelStoreManagerInterface->getStore()->getId();
//        $translate = $this->_modelTranslate;
//        $transactionalEmail = $this->_modelTemplateFactory->create();
//        $attachment = $this->_frameworkFilesystem->getDirectoryWrite('var')->getAbsolutePath() . DIRECTORY_SEPARATOR . 'log' . DIRECTORY_SEPARATOR . "shinesoftware_constriv.log";
//        if (!empty($attachment) && file_exists($attachment)) {
//            $transactionalEmail
//                    ->getMail()
//                    ->createAttachment(
//                            file_get_contents($attachment), Zend_Mime::TYPE_OCTETSTREAM, Zend_Mime::DISPOSITION_ATTACHMENT, Zend_Mime::ENCODING_BASE64, basename($attachment)
//            );
//        }
//        if ($send_me_copy) {
//            $transactionalEmail->addBcc($this->_configScopeConfigInterface->getValue('trans_email/ident_general/email', ScopeInterface::SCOPE_STORE));
//        }
//        $transactionalEmail->sendTransactional($templateId, $sender, $email, $emailName, $vars, $storeId);
//        $translate->setTranslateInline(true);
//        Mage::app()->getResponse()->setBody(1);
//    }
//
//}
