<?php


namespace ShineSoftware\Constriv\Model\Config;

use Magento\Email\Model\TemplateFactory;

class Templates
{
    /**
     * @var TemplateFactory
     */
    protected $_modelTemplateFactory;

    public function __construct(TemplateFactory $modelTemplateFactory)
    {
        $this->_modelTemplateFactory = $modelTemplateFactory;

    }

public function toOptionArray()
{
$options =  $this->getTemplates();
return $options;
}
public function getTemplates()
{
$options = [];
$templates = $this->_modelTemplateFactory->create()->getCollection();
foreach($templates as $template){
$options[] = ['value'=>$template->getId(),'label'=>$template->getTemplateCode()];
}
return $options;
}
};