<?php

namespace ShineSoftware\Constriv\Controller\Main;

use Magento\Framework\App\Action\Context;
use Magento\Quote\Model\QuoteFactory;
use Psr\Log\LoggerInterface;

class Success extends AbstractMain {

    public function __construct(Context $context, QuoteFactory $modelQuoteFactory, LoggerInterface $logLoggerInterface) {

        parent::__construct($context, $modelQuoteFactory, $logLoggerInterface);
    }

    public function execute() {
        $this->_clearQuote();
        $this->_logger->debug(__METHOD__ . " (" . __LINE__ . ") - Redirect the user at the magento success page!", null, 'shinesoftware_constriv.log');
        Mage::app()->getFrontController()->getResponse()->setRedirect($this->_url->getBaseUrl() . 'checkout/onepage/success');
    }

}
